require 'spec_helper'

describe FadssLite::Api do
  let(:target) { FadssLite::Api.new(key) }
  let(:key) { 'api_key' }

  def headers
    {
      'X-Fadss-Key' => 'api_key',
      'Content-Type' => 'application/json'
    }
  end

  describe '#post' do
    before(:each) do
      stub_request(
        :post,
        'https://api.fadss.jp/v1/original_data.json'
      )
        .with(body: { records: [] }.to_json, headers: headers)
        .to_return(body: { a: :b }.to_json)
    end

    subject { target.post_data([]) }

    it { is_expected.to eq({ a: :b }.to_json) }
  end
end
